GCLOUD_COMPUTE_HEALTH-CHECKS_UPDATE_TCP(1)

NAME

gcloud compute health-checks update tcp - update a TCP health check

SYNOPSIS

gcloud compute health-checks update tcp NAME [--check-interval=CHECK_INTERVAL] [--description=DESCRIPTION] [--healthy-threshold=HEALTHY_THRESHOLD] [--port=PORT] [--port-name=PORT_NAME] [--proxy-header=PROXY_HEADER] [--request=REQUEST] [--response=RESPONSE] [--timeout=TIMEOUT] [--unhealthy-threshold=UNHEALTHY_THRESHOLD] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute health-checks update tcp is used to update an existing TCP health check. Only arguments passed in will be updated on the health check. Other attributes will remain unaffected.

POSITIONAL ARGUMENTS

    NAME
        The name of the TCP health check to update.

FLAGS

    --check-interval=CHECK_INTERVAL
        How often to perform a health check for an instance. For example, specifying 10s will run the check every 10 seconds. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --description=DESCRIPTION
        A textual description for the TCP health check. Pass in an empty string to unset.

    --healthy-threshold=HEALTHY_THRESHOLD
        The number of consecutive successful health checks before an unhealthy instance is marked as healthy.

    --port=PORT
        The TCP port number that this health check monitors.

    --port-name=PORT_NAME
        The port name that this health check monitors. By default, this is empty. Setting this to an empty string will clear any existing port-name value.

    --proxy-header=PROXY_HEADER
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Adds the header "PROXY UNKNOWN\r\n".

    --request=REQUEST
        An optional string of up to 1024 characters to send once the health check TCP connection has been established. The health checker then looks for a reply of the string provided in the --response field. If --response is not configured, the health checker does not wait for a response and regards the probe as successful if the TCP or SSL handshake was successful. Setting this to an empty string will clear any existing request value.

    --response=RESPONSE
        An optional string of up to 1024 characters that the health checker expects to receive from the instance. If the response is not received exactly, the health check probe fails. If --response is configured, but not --request, the health checker will wait for a response anyway. Unless your system automatically sends out a message in response to a successful handshake, only configure --response to match an explicit --request. Setting this to an empty string will clear any existing response value.

    --timeout=TIMEOUT
        If Google Compute Engine doesn't receive a healthy response from the instance by the time specified by the value of this flag, the health check request is considered a failure. For example, specifying 10s will cause the check to wait for 10 seconds before considering the request a failure. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --unhealthy-threshold=UNHEALTHY_THRESHOLD
        The number of consecutive health check failures before a healthy instance is marked as unhealthy.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.